Build problems

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Build problems

Ben Engbers
I have a laptop running Fedora 12 and tred to build the latest version
of OpenOffice.

The first problem I couldn't solve was a complaint about silgraphite
(see line 39 in the attached file).

After running configure with other options, I managed to run configure
without problems but now the build produces errors.

Can anyody help me in building OpenOffice 3.2.1?

Thanks,
Ben

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Build OpenOffice.txt (7K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Build problems

Michael Stahl-3
On 28/06/2010 23:16, Ben Engbers wrote:

> I have a laptop running Fedora 12 and tred to build the latest version
> of OpenOffice.
>
> The first problem I couldn't solve was a complaint about silgraphite
> (see line 39 in the attached file).
>
> After running configure with other options, I managed to run configure
> without problems but now the build produces errors.
>
> Can anyody help me in building OpenOffice 3.2.1?
>
> Thanks,
> Ben

> tcsh is missing => yum install tcsh

actually it seems that using tcsh isn't such a good idea...
better to use the "--with-use-shell=bash" parameter for configure.

> configure: error: Library requirements (silgraphite ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
> => yum install sil-padauk-fonts.noarch

i don't think that a font package (noarch) is the right one.
there must be some kind of graphite-devel package, but my Fedora box is at
home, so i don't know the name.

or you can configure --without-system-graphite.

> ../../../../../unxlngi6.pro/slo/ne_openssl.o: In function `ne__negotiate_ssl':
> ne_openssl.c:(.text+0xf92): undefined reference to `SSL_SESSION_cmp'
> collect2: ld returned 1 exit status
> dmake:  Error code 1, while making '../../../../../unxlngi6.pro/lib/libneon.so'

sorry, no idea.
openssl has a reputation for changing its library interface with every
micro release anyway, maybe that's your problem.
[ i really wonder why we continue to use openssl now that we have NSS in
our tree as well... ]
try building --without-system-openssl, maybe that works :)

generally imho building against included libraries is "easier" than
building against system libraries, because that's what we do in Hamburg,
so it's more tested.  the build does take longer though...

--
"The direct use of force is such a poor solution to any problem, it
 is generally employed only by small children and large nations."
 -- David Friedman


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Re: Build problems

Caolán McNamara
On Tue, 2010-06-29 at 11:13 +0200, Michael Stahl wrote:
> On 28/06/2010 23:16, Ben Engbers wrote:
> > I have a laptop running Fedora 12 and tred to build the latest version
> > of OpenOffice.
> > ...
> > Can anyody help me in building OpenOffice 3.2.1?
> >
> > Thanks,
> > Ben

> > configure: error: Library requirements (silgraphite ) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
> > => yum install sil-padauk-fonts.noarch
>
> i don't think that a font package (noarch) is the right one.
> there must be some kind of graphite-devel package, but my Fedora box is at
> home, so i don't know the name.

silgraphite isn't packaged in Fedora yet, so there isn't any such
development package.

> or you can configure --without-system-graphite.

That would clear the above dependency,  but people do seem to get into a
total muddle with the configure options. The default options are the
best to go for unless you have a specific need to tailor them. i.e. the
above must have had a --with-system-libs or --with-system-silgraphite
passed to configure

./configure
make

C.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]